/* SUSTITUIR CADA COMENTARIO POR EL SELECTOR CORRESPONDIENTE: */

/* todos los elementos */ 
* {
  font-family: "Courier New", Courier, monospace;
}

/* el elemento con identificador 'main' */ 
#main {
  background-color: grey;
}

/* los h1 de clase 'especial' */ 
h1[class="especial"] {
  color: blue;
}

/* todos los titulos h2 y h3 */ 
h2, h3 {
  border: 1px solid orange;
}

/* cada elemento de una lista desordenada */ 
ul {
  color: red;
}

/* cada elemento de la lista desordenada contenido en otra lista (es decir, de nivel 2) */ 
ul ul, ol {
  color: green;
}

/* todas las imagenes hijas de un parrafo */
p img {
  border: 5px solid black;
}

/* todas las imagenes cuyo atributo alt sea 'segunda' */
img[alt="segunda"] {
  border: 5px solid red;
}

/* todos los hermanos de los parrafos, que sean h3 y con clase 'antes'  */ 
h3[class="antes"] > p {
  background-color: pink;
}
/* todos los titulares h3 que sean el primer hermano de un parrafo */ 
{
  background-color: blue;
}

/* el primer elemento de cada lista */
li:first-child {
  background-color: orange;
}

/* la ultima lista desordenada */
ul:nth-last-child(1) {
  border: 1px solid black;
}

/* el ultimo elemento de la primera lista desordenada */
{
  background-color: blue;
  color: white;
}

/* el segundo elemento de la ultima lista desordenada */
ul:nth-last-child(1) > *:nth-child(2) {
  color: orange;
}

/* el pseudoelemento justo antes del titular de nivel 3 de clase "antes" */
{  content: "INICIO "; font-style:italic}

/* el pseudoelemento justo despues del titular de nivel 3 de clase "despues" */
{  content: " FIN";font-style:italic}